ECHO OFF
REM  install_smSubagent.bat
REM
REM  This .bat file will take all the necessary steps to install the 
REM  Intel Server Management SNMP Subagent on an Itanium server
REM  running Windows Server 2003.
REM
REM  Create the running directory for the Subagent
SET SUBAGENTPATH=%SystemDrive%\Program Files\Intel\servermanagement5.6\SNMP
ECHO Installing Server Management SNMP Subagent to %SUBAGENTPATH% folder.
MKDIR "%SUBAGENTPATH%"
ECHO Copying files to %SUBAGENTPATH%
COPY snmpsa.conf  "%SUBAGENTPATH%\snmpsa.conf"
COPY smSubagent.dll  "%SUBAGENTPATH%\smSubagent.dll"
COPY snmppmal.dll  "%SUBAGENTPATH%\snmppmal.dll"
COPY smbiosAPI.dll "%SUBAGENTPATH%\smbiosAPI.dll"
COPY Win2kUnInstall.exe  "%SUBAGENTPATH%\Win2kUnInstall.exe"
COPY imbdrv.inf  "%SUBAGENTPATH%\imbdrv.inf"
COPY imbdrv.sys  "%SUBAGENTPATH%\imbdrv.sys"
COPY del_reg_snmp.reg "%SUBAGENTPATH%\del_reg_snmp.reg"
COPY uninstall.bat "%SUBAGENTPATH%\uninstall.bat"
COPY readme.txt "%SUBAGENTPATH%\readme.txt"
COPY basebrd5.mib "%SUBAGENTPATH%\basebrd5.mib"
REM
REM  Install the IMB driver
ECHO Installing IMB driver
Win2kInstall "%SUBAGENTPATH%\IMBDrv.INF" *IMBDRV
REM
REM  Add the necessary registry keys for the subagent
ECHO Adding Registry keys
REGEDIT /S add_reg_snmp.reg
REM
ECHO 
ECHO 
REM  Now stop and restart the SNMP service so the change takes efect
ECHO Stopping and restarting the SNMP service to activate the subagent 
NET STOP SNMP
NET START SNMP
REM
ECHO  Installation complete.  The Server Management SNMP Subagent should now be running.
ECHO  
ECHO  The Server Management SNMP Subagent has been installed in the
ECHO  %SUBAGENTPATH% folder.
ECHO 
ECHO To uninstall the Server Management SNMP Subagent, run
ECHO %SUBAGENTPATH%\uninstall.bat